1. External invoices
Cash-In API
  • Introduction
  • Access tokens
  • Environments
  • Errors
  • Contact us
  • Resources
    • Services
    • Invoice Intermediation service
    • Invoice Lifecycle service
    • Debt Collection service
    • Debt Collection process
    • Confirma Software Partner services
  • Authorization
    • Authentication and authorization of the user
    • Validate token
      GET
    • Renew token
      GET
  • Collection & Payment Control
    • Create Collection Cases
      POST
    • Update Collection Receivables
      POST
    • Retrieve Collection Receivables Status
      GET
    • Retrieve Case Batch Status
      GET
    • Retrieve collection case
      GET
    • Retrieve debtor summary
      GET
    • Retrieve list of settlements
      GET
    • Retrieve settlement data
      GET
    • Retrieve list of direct settlements
      GET
    • Retrieve direct settlement data
      GET
    • Retrieve Credit Loss Receivables
      GET
  • Invoice Intermediation
    • Invoice Service
      • Create an invoice
      • Create batch of invoices
      • Create an invoice with seller information
      • List all sales invoices
      • Retrieve invoice delivery information
      • Retrieve invoice status
      • Update an invoice
      • Submit payment for an invoice
      • Retrieve delivery statistics
      • Retrieve received payments
      • Submit update to Finvoice Account
      • Retrieve electronic invoicing contracts
    • Product Management
      • List all products
      • Submit new products
      • Delete an product
    • Customer Management
      • List all customers
      • Submit new customers
      • Update an customer
      • Delete an customer
    • External invoices
      • Retrieve delivery information
        GET
      • Retrieve payment information
        GET
      • Create an direct payment
        POST
      • Submit an invoice action
        POST
      • Retrieve status of the agreement
        GET
  • Confirma Software Partners
    • Submit new creditor
    • Update creditor
    • Retrieve creditor credentials
    • Retrieve External Agreement Identifiers
    • Retrieve invoice delivery information by seller
    • Send SMS message
  • Document Print Service
    • Create meter reading documents
  • Schemas
    • BatchDataResponse
    • BatchInvoices
    • BatchInvoicesList
    • BatchStatus
    • Case
    • CaseInvoiceExtended
    • CaseList
    • CaseSummary
    • CollectionResponse
    • ContactPerson
    • CreditLossReceivable
    • Creditor
    • CreditorData
    • CreditorDetails
    • CreditorIdentifiers
    • CreditorResponse
    • CreditorUpdateData
    • CreditorUpdateDetails
    • CreditorUpdateResponse
    • CustomParameters
    • Debtor
    • DirectSettlementList
    • DirectSettlementRows
    • DirectSettlements
    • DocumentCustomer
    • DocumentResponse
    • ElectronicInvoicingContracts
    • ErrorMessage
    • ExternalAgreementIdentifiers
    • ExternalAgreementStatusResponse
    • ExternalInvoice
    • ExternalInvoiceActions
    • ExternalInvoiceRows
    • FinvoiceAccountUpdate
    • FinvoiceAccountUpdateResponse
    • IntegrationsAccountingLedgerData
    • IntermediationInvoiceDirectPaymentResponse
    • IntermediationInvoiceDirectPayments
    • IntermediatorInvoice
    • Invoice
    • InvoiceActionResponse
    • InvoicePaymentsResponse
    • InvoicesDeliveryInformation
    • LedgerRowDimensions
    • LedgerRows
    • Ledgers
    • Messages
    • MeterCompany
    • MeterDocument
    • MeterDocumentList
    • MeterReading
    • MeterUsageLocation
    • NxsReceivedPayments
    • OnlineCustomer
    • OnlineCustomerResponse
    • OnlineCustomerUpdateResponse
    • OnlineInvoicePaymentControl
    • OnlineProduct
    • OnlineSalesInvoices
    • PagedSalesInvoicesResponse
    • Payment
    • Receivable
    • ReceivablesList
    • ReceivedPaymentRows
    • ReceivedPayments
    • ReceivedPaymentsResponse
    • RenewResponse
    • SalesAddressDTO
    • SalesInvoice
    • SalesInvoiceBatchResponse
    • SalesInvoicePayment
    • SalesInvoiceResponse
    • SalesInvoiceRow
    • SalesInvoiceUpdate
    • SalesInvoiceUpdateResponse
    • SalesInvoiceWithSellerInfoDTO
    • SalesItemResponse
    • SalesItems
    • SellerInfoDTO
    • Settlement
    • SettlementList
    • SettlementRows
    • SmsData
    • SmsDeliveryReport
    • SmsResponse
    • ValidationResponse
    • ViewOnlineInvoiceDeliveryStats
  1. External invoices

Retrieve delivery information

GET
https://api.cash-in.com/v2/externalinvoicedeliveryinfo
This API Service is for the Intermediation Invoice Creditor / Seller to download a list of intermediation delivery information + invoice rows.
Optional parameters fromInvDate and toInvDate can be used to filter the invoices by date.

Request

Authorization
API Key
Add parameter in header
X-Api-Key
Example:
X-Api-Key: ********************
or
Query Params

Responses

🟢200
application/json
OK
Body

🟠401
🟠404
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.cash-in.com/v2/externalinvoicedeliveryinfo?fromInvDate&toInvDate&invoiceNumber' \
--header 'X-Api-Key: <api-key>'
Response Response Example
200 - Example 1
[
    {
        "InvoiceGuid": "string",
        "InvoiceNumber": 0,
        "InvoiceRefence": "",
        "InvoiceReferenceOriginal": "string",
        "PrintStatus": "",
        "InvoiceDate": "2024-01-01",
        "DueDate": "",
        "DateSaved": "",
        "ExportStatus": 0,
        "ExportDate": "",
        "PrintDate": "",
        "FileUrl": "",
        "InvoiceDetailsUrl": "string",
        "DeliveryType": "",
        "DeliveryStatus": "",
        "DeliveryDate": "",
        "DeliveryInfo": "",
        "DeliveryInfoDate": "",
        "InvoiceTargetSystem": 0,
        "Intermediated": 0,
        "IntermediatedDateTime": "2019-08-24T14:15:22.123Z",
        "TargetSystemInvoiceId": 0,
        "InvoicePrintSystem": 0,
        "InvoiceCopyUrl": "string",
        "OriginalPdfFileName": "string",
        "InvoiceCopyDownloaded": 0,
        "ExternalInvoiceRows": [
            {
                "LineNo": 0,
                "ProductCode": "string",
                "Description": "string",
                "Quantity": 0,
                "UnitPrice": 0,
                "DiscountPercent": 0,
                "DiscountAmount": 0,
                "NetAmount": 0,
                "TaxAmount": 0,
                "RoundAmount": 0,
                "TotalAmount": 0,
                "Currency": "string",
                "RowText": "string",
                "RowType": "string",
                "RowUnitText": "string",
                "VatPercent": 0,
                "VatType": "string",
                "ShippingDate": "2019-08-24T14:15:22.123Z",
                "StartDate": "2019-08-24T14:15:22.123Z",
                "EndDate": "2019-08-24T14:15:22.123Z"
            }
        ]
    }
]
Previous
Delete an customer
Next
Retrieve payment information
Built with